Subject: Please help: Pine Panic

From: [email-masked] (Steve Inners)
Date: Wed, 3 Jan 1996 17:40:57 GMT

I am attempting to run Pine 3.91 on an AT&T Unix 3.2.2 system.  I have 
been successful in utilizing SCO binaries for many other applications and 
O/S utilities on this system.  However, the SCO binary of Pine does not 
seem to be so cooperative.  I have tried getting information to locate a 
binary specifically for this platform, but have gotten no responses :( 
... I must assume no such binary exists.  I have no development 
capabilities on this platform either (no compiler).

So ... here is the problem specifically.  I run the Pine binary and get 
to a main menu.  The Inbox begins to open and I get a beep.  The Pine 
session then ends with an error:

Pine Panic: Select error: Invalid arguement

It tries to write out to //.pine-crash .. but fails to do so.  The 
.pinerc file never gets created either .... although it will read it if I 
create one for it. There are some other pinerc files that are created, 
but appear to be more like temporary files .... pinerca006610 and 
pinerc006610 are two examples.  I have tried to set the "set uid" and 
"set gid" bits to correct the error of being unable to write to //.pinerc 
.. no luck.

I can substitute various AT&T binaries for their SCO equivelant .. if I 
knew where to start .. the entire mmdf and mailx systems are already the 
SCO binaries!  Regular mail works well BTW.

Here is the pine debug file from level 9 debugging ... if it helps to 
point me in the right direction. TIA!

============ pine-debug1 (level 9) =================================
Debug output of the Pine program (at debug level 9).  Version 3.91
Wed Jan  3 10:23:16 1996

reading_pinerc "/usr/local/lib/pine.conf"
Open failed: No such file or directory
reading_pinerc "//.pinerc"
Open failed: No such file or directory
reading_pinerc "/usr/local/lib/pine.conf.fixed"
Open failed: No such file or directory
set_current_val(var num=5, expand=1, cmdline=1)
set_current_val(var num=2, expand=1, cmdline=1)
set_current_val(var num=27, expand=1, cmdline=1)
set_current_val(var num=36, expand=1, cmdline=1)
set_current_val(var num=28, expand=1, cmdline=1)
set_current_val(var num=29, expand=1, cmdline=1)
set_current_val(var num=30, expand=1, cmdline=1)
set_current_val(var num=31, expand=1, cmdline=1)
set_current_val(var num=33, expand=1, cmdline=1)
set_current_val(var num=34, expand=1, cmdline=1)
set_current_val(var num=9, expand=1, cmdline=1)
set_current_val(var num=10, expand=1, cmdline=1)
set_current_val(var num=12, expand=1, cmdline=1)
set_current_val(var num=25, expand=1, cmdline=1)
set_current_val(var num=26, expand=1, cmdline=1)
set_current_val(var num=3, expand=1, cmdline=1)
is_list: name=smtp-server
set_current_val(var num=18, expand=1, cmdline=1)
is_list: name=default-composer-hdrs
set_current_val(var num=19, expand=1, cmdline=1)
is_list: name=customized-hdrs
set_current_val(var num=37, expand=1, cmdline=1)
set_current_val(var num=38, expand=1, cmdline=1)
set_current_val(var num=13, expand=1, cmdline=1)
set_current_val(var num=24, expand=1, cmdline=1)
set_current_val(var num=14, expand=1, cmdline=1)
is_list: name=global-address-book
set_current_val(var num=15, expand=1, cmdline=1)
is_list: name=address-book
counted 1 items
set_current_val(var num=4, expand=1, cmdline=1)
is_list: name=nntp-server
set_current_val(var num=32, expand=1, cmdline=1)
write_pinerc: personal-name = <not set>
write_pinerc: user-domain = <not set>
write_pinerc: smtp-server = <not set>
write_pinerc: nntp-server = <not set>
write_pinerc: inbox-path = <not set>
write_pinerc: incoming-folders = <not set>
write_pinerc: folder-collections = <not set>
write_pinerc: news-collections = <not set>
write_pinerc: default-fcc = <not set>
write_pinerc: postponed-folder = <not set>
write_pinerc: read-message-folder = <not set>
write_pinerc: signature-file = <not set>
write_pinerc: global-address-book = <not set>
write_pinerc: address-book = <not set>
write_pinerc: feature-list = <not set>
write_pinerc: initial-keystroke-list = <not set>
write_pinerc: default-composer-hdrs = <not set>
write_pinerc: customized-hdrs = <not set>
write_pinerc: saved-msg-name-rule = <not set>
write_pinerc: fcc-name-rule = <not set>
write_pinerc: sort-key = <not set>
write_pinerc: addrbook-sort-rule = <not set>
write_pinerc: character-set = <not set>
write_pinerc: editor = <not set>
write_pinerc: image-viewer = <not set>
write_pinerc: use-only-domain-name = <not set>
write_pinerc: printer = <not set>
write_pinerc: personal-print-command = <not set>
write_pinerc: last-time-prune-questioned = <not set>
write_pinerc: last-version-used = 3.91
q_status_message, Count 1, "Error saving configuration in file "//.pinerc": Invalid argument"
Error writing //.pinerc : Invalid argument
set_current_val(var num=35, expand=1, cmdline=1)
set_current_val(var num=41, expand=1, cmdline=1)
set_current_val(var num=11, expand=1, cmdline=1)
set_current_val(var num=6, expand=1, cmdline=1)
is_list: name=incoming-folders
set_current_val(var num=8, expand=1, cmdline=1)
is_list: name=news-collections
set_current_val(var num=7, expand=1, cmdline=1)
is_list: name=folder-collections
set_current_val(var num=22, expand=1, cmdline=1)
set_current_val(var num=20, expand=1, cmdline=1)
set_current_val(var num=21, expand=1, cmdline=1)
set_current_val(var num=23, expand=1, cmdline=1)
set_current_val(var num=17, expand=0, cmdline=1)
is_list: name=initial-keystroke-list
======= Current_val options set =======
           inbox-path : inbox
   folder-collections : mail/[]
          default-fcc : sent-mail
     postponed-folder : ppnd-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
    last-version-used : 3.91
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Command_line_val options set =======
======= User_val options set (//.pinerc) =======
    last-version-used : 3.91
======= Global_val options set (/usr/local/lib/pine.conf) =======
           inbox-path : inbox
          default-fcc : sent-mail
     postponed-folder : ppnd-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Fixed_val options set (NO pine.conf.fixed) =======
========== Feature settings ==========
  no-assume-slow-link
  no-auto-move-read-msgs
  no-auto-open-next-unread
  no-compose-rejects-unqualified-addrs
  no-compose-sets-newsgroup-without-confirm
  no-delete-skips-deleted
  no-disable-config-cmd
  no-disable-keyboard-lock-cmd
  no-disable-password-cmd
  no-disable-update-cmd
  no-enable-aggregate-command-set
  no-enable-alternate-editor-cmd
  no-enable-alternate-editor-implicitly
  no-enable-bounce-cmd
  no-enable-flag-cmd
  no-enable-full-header-cmd
  no-enable-incoming-folders
  no-enable-jump-shortcut
  no-enable-mail-check-cue
  no-enable-suspend
  no-enable-tab-completion
  no-enable-unix-pipe-cmd
  no-expanded-view-of-addressbooks
  no-expanded-view-of-folders
  no-expunge-without-confirm
  no-include-attachments-in-reply
  no-include-header-in-reply
  no-include-text-in-reply
  no-news-approximates-new-status
  no-news-post-without-validation
  no-news-read-in-newsrc-order
  no-preserve-start-stop-characters
  no-quell-user-lookup-in-passwd-file
  no-quit-without-confirm
  no-save-will-quote-leading-froms
  no-save-will-not-delete
  no-save-will-advance
  no-select-without-confirm
  no-show-selected-in-boldface
  no-signature-at-bottom
  no-use-current-dir
  no-use-function-keys
Userid: root
Fullname: "0000-Admin(0000)"
User domain name being used ""
Local Domain name being used "unix"
Host name being used "unix"
Mail Domain name being used (by c-client too)"unix"
write_pinerc: personal-name = <not set>
write_pinerc: user-domain = <not set>
write_pinerc: smtp-server = <not set>
write_pinerc: nntp-server = <not set>
write_pinerc: inbox-path = <not set>
write_pinerc: incoming-folders = <not set>
write_pinerc: folder-collections = <not set>
write_pinerc: news-collections = <not set>
write_pinerc: default-fcc = <not set>
write_pinerc: postponed-folder = <not set>
write_pinerc: read-message-folder = <not set>
write_pinerc: signature-file = <not set>
write_pinerc: global-address-book = <not set>
write_pinerc: address-book = <not set>
write_pinerc: feature-list = <not set>
write_pinerc: initial-keystroke-list = <not set>
write_pinerc: default-composer-hdrs = <not set>
write_pinerc: customized-hdrs = <not set>
write_pinerc: saved-msg-name-rule = <not set>
write_pinerc: fcc-name-rule = <not set>
write_pinerc: sort-key = <not set>
write_pinerc: addrbook-sort-rule = <not set>
write_pinerc: character-set = <not set>
write_pinerc: editor = <not set>
write_pinerc: image-viewer = <not set>
write_pinerc: use-only-domain-name = <not set>
write_pinerc: printer = <not set>
write_pinerc: personal-print-command = <not set>
write_pinerc: last-time-prune-questioned = <not set>
write_pinerc: last-version-used = 3.91
q_status_message, Count 2, "Error saving configuration in file "//.pinerc": Invalid argument"
Error writing //.pinerc : Invalid argument
Context mail/[] type: LOCAL
Terminal type: ansi
Scroll mode: InsertDelete
Context mail/[] type: LOCAL

***** context mail/[]
LABEL: mail/[]
  1) inbox
set_titlebar - style: 0  current message cnt:1  current_pl: 0  total_pl: 0
comatose(0) returns:0 Y       [Yes]      0
1 N       No         0
2 (null)  (null)     14
3 (null)  (null)     14
4 (null)  (null)     27
5 (null)  (null)     27
6 (null)  (null)     41
7 (null)  (null)     41
8 (null)  (null)     55
9 (null)  (null)     55
10 (null)  (null)     69
11 (null)  (null)     69
row: -2, real_row: 23, column: 0
Select readfds:1 timeval:0,0
Select on tty returned -1
end_screen called
about to end_tty_driver
end_signals(1)
Pine Panic: Select error: Invalid argument

save_debug_on_crash: Version 3.91: debug level 9

                   : Wed Jan  3 10:23:23 1996

Attempting to save debug file to //.pine-crash

-- 
-Steve				[email-masked]
###################################################
     	      I brew, therefore I am.